@charset "UTF-8";

/* bar */

.bar {
    height: 1.2rem;
    background-color: #F8F8F8;
}

/*버튼*/

.bottom_btn {

    position: fixed;

    left: 50%;

    bottom: 0;

    width: 100%;

    padding: 0.6rem 2rem 1rem;

    max-width: 576px;

    transform: translateX(-50%);

    z-index: 16;

}

.go_top2 {

    width: 4.2rem;

    height: 4.2rem;

    background: url(../img/go_top2.png)no-repeat center;

    background-color: rgba(230,230,230,0.68);

    background-size: 1.4rem auto;

    z-index: 1000;

    border-radius: 50%;

    display: none;

    position: fixed;

    right: 1.6rem;

    bottom: 1.6rem;

}

.go_top2.show {
    display: block;
}

/*PC 모바일 헤더 공통*/

.logo {
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

.log_txt {
    font-size: 1.8rem;
    display: flex;
    padding-left: 1.0rem;
}

.log_txt span {
    display: inline-block;
    padding: 0 1.0rem;
    border-right: 1px solid var(--border);
}

.log_txt span:last-child {
    border-right: 0;
}

/*PC헤더 스타일*/

.logo img {
    height: 100%;
    width: auto;
}

.hd_pc {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 1000;
    z-index: 999;
    backdrop-filter: blur(30px);
    -webkit-backdrop-filter: blur(30px);
    background-color: rgba(255, 255, 255, 0.5);

}

.hd_pc .logo img {
    width: 14.5rem;
}

.hd_pc .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 90px;
    max-width: 1400px;
}

.hd_pc .nav_ul {
    display: flex;
    font-size: 1.7rem;
    font-weight: 600;
    margin-top: 1rem;
}

.hd_pc .nav_ul .nav_li {
    position: relative;
}

.hd_pc .nav_ul .nav_li > a {
    display: flex;
    align-items: center;
}

.hd_pc .nav_ul .nav_li:hover .dropdown-menu {
    display: block;
}

.hd_pc .nav_ul2 {
    display: none;
    min-width: 20rem;
    font-size: 1.5rem;
}

.hd_pc .nav_li:hover .nav_ul2 {
    display: block;
    position: absolute;
    background: var(--bg);
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    border: 1px solid var(--border);
    z-index: 9999;
}

.hd_pc .nav_ul2 a {
    display: block;
    padding: 1.4rem 2rem;
    white-space: nowrap;
    border-bottom: 1px solid var(--border);
}

/* .hd_pc .nav_ul2 a:hover {
    color: var(--primary);
    background: #F7F8F9;
} */

.hd_pc .nav_ul2 li:last-child a {
    border-bottom: 0;
}

.hd_pc .nav_ul2 a span {
    display: none;
}

/* .hd_pc .nav_a img {
    display: none;
} */

.language {
    display: flex;
    align-items: center;
    font-size: 1.8rem;
    font-weight: 600;
    width: 91px;
    justify-content: space-between;
}

/* 헴버거메뉴 */

.hd_menu_btn {

    background: url(../img/ic_menu.png)no-repeat center;

    background-size: 3.0rem auto;

    cursor: pointer;

    width: 3.0rem;

    height: 3.0rem;

}

.hd_menu_btn a {
    display: block;
}

.m_menu_wr {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    right: -200%;
    width: 100%;
    height: 100%;
    z-index: 1010;
    transition: all 0.5s ease-in-out;
    display: flex;
    justify-content: start;
    max-width: 412px;
}

.m_nav .nav_a img {
    width: 2.0rem;
}

.m_nav .nav_ul2 {
    display: none;
}

/* x버튼 */

.menu_hd {
    display: none;
    opacity: 0;
    height: var(--hd_height_m);
}

.m_nav .menu_hd {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #fff;
    padding: 0 1.6rem;
    opacity: 0;
}

.menu_on .m_nav .menu_hd {
    opacity: 1;
}

.close_btn {
    width: 3.0rem;
}

/* 메뉴 열렸을때 외부 */

.menu_on .m_menu_wr {
    visibility: visible;
    opacity: 1;
    right: 0;
}

.m_nav {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: #fff;
    max-width: 0;
    transform: translateX(0%);
    visibility: hidden;
    opacity: 0;
}

.menu_on .m_nav {
    transform: translateX(0%);
    visibility: visible;
    opacity: 1;
    max-width: 100%;
    overflow-y: auto;
}

.m_nav .nav_ul .nav_a {

    color: var(--text);

    position: relative;

    display: flex;

    justify-content: space-between;

    border-bottom: 1px solid var(--border);

    padding: 1.45rem 1.6rem;

    font-size: 1.5rem;

    font-weight: 500;

}

.m_nav .nav_ul .nav_ul2 {
    background: #fff;
}

.m_nav .nav_ul .nav_ul2 a {

    color: var(--text);

    position: relative;

    display: flex;

    align-items: center;

    border-bottom: 1px solid var(--border);

    padding: 1.45rem 1.6rem;

}

.m_nav .nav_ul .nav_ul2 a span {
    margin-right: 0.5rem;
}

.menu_on .nav_log .btn-link {
    color: var(--gray);
    padding-bottom: 2.0rem;
}

.menu_bg {
    position: fixed;
    left: 0;
    top: 0;
    background: rgba(0,0,0,0.4);
    transition: all 0.4s ease-in-out;
    width: 100%;
    height: 100%;
    z-index: 99998;
    visibility: hidden;
    opacity: 0;
}

.menu_on .menu_bg {
    visibility: visible;
    opacity: 1;
}

.m_nav .logo {
    display: inline-block;
}

.m_nav_menu > ul > li {
    border-bottom: 1px solid var(--border);
    margin-bottom: 2.2rem;
}

.m_nav_menu > ul > li:last-child {
    border-bottom: 0;
}

.menu_tit {
    color: #AAB1B7;
    font-weight: 600;
}

.menu_link li a {
    display: flex;
    justify-content: space-between;
    padding: 1.15rem 0;
    color: #313131;
}

/* 헤더 */

.hd_m {

    display: none;

    align-items: center;

    justify-content: space-between;

    height: 6.2rem !important;

    width: 100%;

    background-color: rgba(255, 255, 255, 0.5);

    position: fixed;

    top: 0;

    left: 50%;

    transform: translateX(-50%);

    z-index: 1000;

    backdrop-filter: blur(30px);

}

.hd_m.sdw_none {
    border-bottom: 0;
    box-shadow: none;
}

.hd_m .logo img {
    width: 123px;
    height: 39px;
    display: flex;
}

.hd_m .log_txt {
    font-size: 1.4rem;
    padding-left: 0.5rem;
}

.hd_m .log_txt span {
    padding: 0 0.5rem;
}

.hd_m button {
    border: 0;
    background: transparent;
    width: 3.0rem;
}

.hd_m .hd_btn {

    min-width: 7rem;

    display: flex;

    align-items: center;

}

.hd_m.hd_trs {
    background: transparent;
}

.hd_m.hd_trs .page_tit {
    display: none;
}

.hd_m.hd_trs.fix {
    background: #fff;
}

.hd_m.hd_trs.fix .page_tit {
    display: -webkit-box;
}

.nav_ul {
    margin-top: 1rem;
}

.hd_pc * {
    box-sizing: border-box;
}
.hd_pc ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.hd_pc p {
    margin: 0;
}
.hd_pc a {
    text-decoration: none;
    color: inherit;
}

.hd_pc button {
    appearance: none;
    -webkit-appearance: none;
    border: 0;
    background: transparent;
    cursor: pointer;
    font: inherit;
    color: inherit;
}

/* Logo */
.hd_pc {
    height: 90px;
    display: block;
}

/* Nav */
.hd_pc .nav_ul {
    display: flex;
    align-items: center;
}

.hd_pc .nav_li {
    position: relative;
}

.hd_pc .nav_a {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 18px;
    font-weight: 600;
    color: #111;
    line-height: 1;
    margin-right: 2.8rem;
}

.hd_pc .nav_arrow {
    width: 20px;
    height: 20px;
    display: block;
    /* transition: transform 0.15s ease; */
}

.hd_pc .hd_right {
    gap: 15px;
    /* search와 language 간격 */
    margin-top: 1rem;
}

.hd_pc .hd_search {
    position: relative;
    width: 270px;
    height: 41px;
    border: 1px solid var(--gray-100);
    border-radius: 999px;
    background: #fff;
    padding: 0 44px 0 16px;
    display: flex;
    align-items: center;
}

.hd_pc .hd_right {
    display: flex;
    align-items: center;
    gap: 16px;
    flex-wrap: nowrap;
}

.hd_pc .hd_search_input {
    width: 100%;
    height: 100%;
    border: 0;
    outline: none;
    background: #fff;
    font-size: 16px;
}

.hd_pc .hd_search_input::placeholder {
    color: var(--gray-600);
}

.hd_pc .hd_search_btn {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);

    width: 32px;
    height: 32px;

    display: grid;
    place-items: center;
}

.hd_pc .hd_search_btn svg path {
    fill: #111;
}

.hd_pc .hd_left {
    display: flex;
    align-items: center;
    gap: 30px;
    /* ← 여기서 간격 조절 (16~24px) */

}

/* Dropdown */
.hd_pc .has_depth {
    position: relative;
}

.hd_pc .nav_depth {
    position: absolute;
    top: calc(100% + 14px);
    left: -20px;
    width: 200px;
    padding: 10px;
    background: #fff;
    border-radius: 14px;
    box-shadow: 0 12px 28px rgba(0,0,0,0.10);
    display: none;
    z-index: 9999;
}

.hd_pc .has_depth.open .nav_depth {
    display: block;
}
.hd_pc .has_depth.open .nav_arrow {
    transform: rotate(180deg);
}

/* Food dropdown items */
.hd_pc .depth_a {
    display: block;
    padding: 14px;
    border-radius: 12px;

    font-size: 16px;
    font-weight: 500;
    color: #000;
}

.hd_pc .depth_a:hover {
    background: #f3f4f6;
}

/* Language button + dropdown */
.hd_pc .lang_wrap {
    position: relative;
}

.hd_pc .language {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 600;
    font-size: 1.8rem;
    width: 90px;
}

.hd_pc .lang_icon img {
    width: 20px;
    height: 20px;
    display: block;
}

/* language dropdown right align */
.hd_pc .nav_depth_right {
    left: auto;
    right: 0px;
    width: 130px;
}

.hd_pc .depth_btn {
    display: block;
    width: 100%;
    text-align: center;

    padding: 14px;
    border-radius: 1.2rem;

    font-size: 16px;
    font-weight: 500;
}

.hd_pc .depth_btn:hover {
    background: var(--gray-50);
}
.hd_pc .depth_btn.is_active {
    background: var(--gray-50);
    font-weight: 600;
}

/*검색*/
.sch_ip {
    display: flex;
    border: 1px solid var(--border);
    background: #fff;
    padding: 0 1.5rem;
    border-radius: 0.8rem;
}

.sch_ip .form-control {
    height: 4.8rem;
    padding: 0.5rem 0;
    color: #7F7F7F;
}

.sch_ip .form-control:focus {
    background-color: transparent;
}

.sch_ip .form-control::placeholder {
    color: #CBC9D1;
    opacity: 1;
}

.sch_ip button {
    width: 2.0rem;
    height: 2.0rem;
    border: 0;
    background: transparent;
}

/*회색 검색*/

.sch_gray.sch_ip {
    background: #F5F6F8;
    border: 0;
}

.ul_list {}

.ol_list {
    padding-left: 2rem;
}

.ol_list li {
    margin-bottom: 0.5rem;
    line-height: 140%;
}

/*노데이터*/

.no_data {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.item_opt_counter {

    position: relative;

    width: 8.7rem;

    height: 2.8rem;

    line-height: 2.8rem;

    border-radius: 3.6rem;

    border: 1px solid #CBCFD3;

    flex-shrink: 0;

    display: flex;

    align-items: center;

}

.item_opt_counter_btn {

    width: 26%;

    height: 3rem;

    vertical-align: top;

    padding: 0;

}

.item_opt_counter_btn.disabled,
.item_opt_counter_btn:disabled {
    opacity: 0.3;

    background: transparent;

    border-color: transparent;

}

.item_opt_counter .quantity {

    width: 48%;

    height: 100%;

    vertical-align: top;

    color: #333333;

    font-size: 1.6rem;

    font-weight: bold;

    line-height: 4.4rem;

    text-align: center;

    border: unset;

}

.collapse_cate {
    position: relative;
}

.collapse_cate .btn-group .btn,
.collapse_cate .btn-group-toggle .btn {
    margin-right: 0.6rem;
    margin-bottom: 0.6rem;
}

/*하단메뉴*/

.bt_menu {

    width: calc(100% + 2px);

    max-width: 767px;

    background: #fff;

    position: fixed;

    bottom: 0;

    left: 50%;

    transform: translateX(-50%);

    z-index: 1000;

    display: none;

    margin-left: -1px;

}

.bt_menu ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 0 5.0rem;
    height: 6.4rem;
    border-top: 1px solid var(--border);
}

.bt_menu ul li {}

.bt_menu ul li a {

    display: inline-block;

    color: #999;

    font-weight: 600;

    font-size: 1.2rem;

}

.bt_menu ul li .ico {

    width: 2.4rem;

    display: block;

    margin: 0 auto;

}

.bt_menu ul li p {
    margin-top: 0.4rem;
}

.bt_menu ul li .img_on {
    display: none;
}

.bt_menu ul li.on a {
    color: var(--primary);
}

.bt_menu ul li.on .img_on {
    display: block;
}

.bt_menu ul li.on .img_off {
    display: none;
}

/* 1) Hug 만들기: width:100%를 깨야 함 */
.select-hug {
    width: auto !important;
    /* ⭐ 핵심 */
    display: inline-block;
    /* ⭐ 핵심 */
    max-width: 100%;
    /* 안전 */
    vertical-align: middle;
}

/* 2) 높이/패딩: select는 line-height까지 같이 잡는 게 안정적 */
.select-lg {
    height: var(--height) !important;
    line-height: 4.4rem !important;
    /* select에서 높이 체감에 중요 */
    padding: 0 1.5rem 0 1.5rem !important;
    /* 오른쪽 화살표 공간 확보 */
}

/* 3) 옵션 텍스트 길이로 자동 늘어나게 */
.select-hug {
    padding-right: 4rem !important;
    /* 화살표 공간 */
    white-space: nowrap;
}

/* 4) (선택) 부트스트랩 custom-select 화살표 위치가 이상하면 */
.select-hug.custom-select {
    background-position: right 1.4rem center !important;
    background-size: 1.2rem 1.2rem !important;
}

/*로그인,회원가입*/

.login_pg,
.sign_pg {
    padding-top: 8.0rem;
    padding-bottom: 8.0rem;
}

.sign_wr {
    max-width: 48rem;
}

.sign_box {
    border: 1px solid var(--border);
    padding: 6.0rem 5.0rem 5.0rem;
    border-radius: 1.8rem;
}

.log_btn a {

    display: inline-block;

    font-weight: 400;

    color: #666;

    padding: 0 0.5rem;

    border-right: 1px solid #E3E3E3;

}

.log_btn a:last-child {
    border-right: 0;
}

/*메인*/

.shop_info {
    background: #fff;
    padding: 4.0rem 0;
}

.select_shop .sel_arrow {
    width: 3.6rem;
    border: 1px solid var(--border);
    border-radius: 50%;
    margin-left: 1.0rem;
}

.select_shop .dropdown-menu {
    width: 100%;
    max-width: 30rem;
    border-color: var(--border);
    box-shadow: 0 0.6rem 2.0rem rgba(0,0,0,0.11);
    border-radius: 1.8rem;
    padding: 1.8rem;
}

.select_shop .dropdown-menu li {

    display: flex;

    align-items: center;

    justify-content: space-between;

    border-bottom: 1px solid var(--border);

    padding: 1.5rem 0;

}

.select_shop .dropdown-menu li:last-child {
    border-bottom: 0;
}

.select_shop .name {
    font-size: 2.6rem;
    font-weight: 700;
}

.select_shop_wr .select_shop .name {
    font-size: 4.0rem;
}

.shop_info_bt .row {
    margin-left: -0.1rem;
    margin-right: -0.1rem;
}

.shop_info_bt .col,
.shop_info_bt .col-auto {
    padding-left: 0.6rem;
    padding-right: 0.6rem;
}

.shop_state {
    background: rgba(170,177,183,0.2);
    border-radius: 0.6rem;
}

.shop_state .btn {
    color: #999;
    font-weight: 600;
    margin: 0;
    border-radius: 0.6rem !important;
}

.shop_state .btn.active {
    color: #000;
    border-color: #000;
    background: #fff;
}

.shop_state .btn.stop.active {
    color: #fff;
    background: #AAB1B7;
    border-color: #AAB1B7;
}

.main_order {
    background: #F5F6F8;
    padding: 4rem 0;
}

.main_order .col-lg-4 {
    max-width: 39rem;
}

.box_sdw {
    box-shadow: 0 0.3rem 0.6rem rgba(0,0,0,0.03);
}

.noti_swiper li .item {
    padding: 2.0rem 0;
    border-bottom: 1px solid var(--border);
    display: block;
}

.noti_swiper li:last-child .item {
    border-bottom: 0;
}

.pagination_custom .swiper-pagination {

    position: static;

}

.pagination_custom .swiper-pagination {

    display: flex;

    align-items: center;

    justify-content: center;

}

.pagination_custom .swiper-pagination-bullet {

    width: 0.8rem;

    height: 0.8rem;

    border-radius: 1.0rem;

    background: #E3E3E3;

    opacity: 1;

    margin: 0 0.25rem !important;

}

.pagination_custom .swiper-pagination-bullet-active {

    opacity: 1;

    background: var(--primary);

    width: 2.0rem;

}

/*공지사항*/

.notice_list {
    background: #F8F8F8;
    border-radius: 2.4rem;
    padding-top: 1.3rem;
    padding-bottom: 1.3rem;
}

.notice_list li {

    border-bottom: 1px solid #fff;

    padding: 1.7rem 2rem;

}

.notice_list li:last-child {
    border-bottom: 0;
}

/*faq*/

.faq_accordion {}

.faq_accordion .card {
    border: 0;
    border-radius: 0;
}

.faq_accordion .card-header {
    border: 0;
    padding: 0;
    background: transparent;
}

.faq_accordion .card-header button {

    border: 0;

    background: 0;

    padding: 2rem 0;

    display: flex;

    justify-content: space-between;

    width: 100%;

    z-index: 1;

    position: relative;

    color: var(--text);

}

.faq_accordion .card-header button img {
    transform: rotate(0deg);
    transition: all 0.2s ease;
    width: 2.4rem;
}

.faq_accordion .card-header button[aria-expanded="true"] {
    border: 0;
}

.faq_accordion .card-header button[aria-expanded="true"] img {
    transform: rotate(180deg);
    transition: all 0.2s ease;
}

.faq_accordion .card-header .faq_q {

    width: 2.4rem;

    height: 2.4rem;

    border-radius: 50%;

    background: var(--primary);

    flex-shrink: 0;

    display: flex;

    align-items: center;

    justify-content: center;

    color: #fff;

    margin-right: 1.0rem;

}

.faq_accordion .card-body {

    padding: 2rem 1.6rem;

    background: #F8F8F8;

    border-radius: 2.4rem;

}

.faq_accordion .faq_a {
    margin-right: 0.8rem;
}

.faq_accordion .collapse {
    padding-bottom: 0;
}

/* 초기 상태에서는 화살표 아래 아이콘을 보여줌 */

.collapse_ex .btn[aria-expanded="false"] img {
    transform: rotate(0deg);
}

/* 펼쳐진 상태에서는 화살표 위 아이콘을 보여줌 */

.collapse_ex .btn[aria-expanded="true"] img {
    transform: rotate(180deg);
}

/*반응형 max 1400 xl*/

@media (max-width: 1400px) {}

/*반응형 max 1200 xl*/

@media (max-width: 1199.98px) {}

/*반응형 max 992px lg*/

@media (max-width: 991.98px) {
    .bt_menu {
        display: block;
    }

    .m_menu_wr {
        max-width: 100%;
        transition: none;
    }

    .menu_on .m_menu_wr {
        max-width: 100%;
        transition: none;
        justify-content: center;
    }

    .m_nav {
        transition: none;
    }

    .menu_on .m_nav {
        max-width: 767px;
    }

    .menu_bg {
        display: none;
    }

    /*로그인,회원가입*/

    .login_pg {
        padding-top: 9.0rem;
        padding-bottom: 3.5rem;
    }

    .sign_pg {
        padding-top: 4.5rem;
        padding-bottom: 3.5rem;
    }

    .sign_pg .tit_h2 {
        font-size: 2.0rem;
    }

    .sign_wr {
        max-width: 100%;
    }

    .sign_box {
        border: 0;
        padding: 0;
        border-radius: 0;
    }

    /*메인*/

    .select_shop .name {
        font-size: 2.0rem;
    }

    .select_shop_wr .select_shop .name {
        font-size: 3.0rem;
    }

    .main_order {
        padding: 3rem 0;
    }

    .main_order .col-lg-4 {
        max-width: 100%;
    }

    .noti_swiper_wr {
        margin-top: 1.2rem;
    }

    .noti_swiper li .item {
        padding: 1.0rem 0;
        border-bottom: 0;
    }

}

/*반응형 max 767px md*/

@media (max-width: 767.98px) {

    .bt_menu ul {
        padding: 0 2.5rem;
    }

    /*메인*/

    .select_shop .dropdown-menu {
        max-width: 100%;
    }

}

/*반응형 max 576px sm*/

@media (max-width: 575.98px) {

    .go_top2 {
        transform: translateX(0);
    }

}

@media (max-width:390px) {

    .shop_state .btn {
        padding-left: 0.8rem;
        padding-right: 0.8rem;
    }

}

@media (max-width:350px) {}